Bug 1305294 - Review Request: perl-Parse-Gitignore - Parse .gitignore files
Review Request: perl-Parse-Gitignore - Parse .gitignore files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-06 14:29 EST by Denis Fateyev
Modified: 2016-03-06 21:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:24:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2016-02-06 14:29:50 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Parse-Gitignore.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Parse-Gitignore-0.02-1.fc24.src.rpm
Description: Parse a .gitignore file and check whether a file matches it.
Fedora Account System Username: dfateyev

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12895982 (Rawhide)
Comment 1 Petr Šabata 2016-02-08 05:01:05 EST
* You could drop the findutils builddep by substituting `-exec rm -f {} \;'
  with `-delete'.

* The actual required version of Test::More is 0.88 (as done_testing is called).
  That's just nitpicking; upstream doesn't declare it either :)

* Require the versioned Path::Tiny and filter out the underspecified
  autogenerated dependency.
Comment 2 Petr Šabata 2016-02-08 06:12:13 EST
(In reply to Petr Šabata from comment #1)
> * You could drop the findutils builddep by substituting `-exec rm -f {} \;'
>   with `-delete'.

Erm, coreutils, of course.
Comment 3 Upstream Release Monitoring 2016-02-08 10:48:34 EST
dfateyev's scratch build of perl-Parse-Gitignore-0.02-2.fc23.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12903416
Comment 4 Denis Fateyev 2016-02-08 11:01:44 EST
(In reply to Petr Šabata from comment #1)
> * You could drop the findutils builddep by substituting `-exec rm -f {} \;'
>   with `-delete'.

I just keeping it for a while for package spec uniformity..
Seems, I need to adjust and improve my Perl spec template.

> * The actual required version of Test::More is 0.88 (as done_testing is
> called).
>   That's just nitpicking; upstream doesn't declare it either :)

Added. (the same comment applied here)

> * Require the versioned Path::Tiny and filter out the underspecified
>   autogenerated dependency.

Added. (also shouldn't be a problem with RHBZ bug 1305293)

Updated version:
Spec: http://www.fateyev.com/RPMS/Fedora22/perl-Parse-Gitignore.spec
SRPM: http://www.fateyev.com/RPMS/Fedora22/perl-Parse-Gitignore-0.02-1.fc24.src.rpm
Comment 5 Petr Šabata 2016-02-08 11:19:27 EST
All good.
Comment 6 Gwyn Ciesla 2016-02-09 12:20:59 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Parse-Gitignore
Comment 7 Fedora Update System 2016-02-17 05:52:09 EST
perl-Parse-Gitignore-0.02-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bb99cd844
Comment 8 Fedora Update System 2016-02-17 05:52:10 EST
perl-Parse-Gitignore-0.02-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-736f884ebc
Comment 9 Fedora Update System 2016-02-17 05:52:13 EST
perl-Parse-Gitignore-0.02-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bb99cd844
Comment 10 Fedora Update System 2016-02-17 17:31:30 EST
perl-Parse-Gitignore-0.02-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bb99cd844
Comment 11 Fedora Update System 2016-02-21 01:21:50 EST
perl-Parse-Gitignore-0.02-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-736f884ebc
Comment 12 Fedora Update System 2016-02-26 14:24:16 EST
perl-Parse-Gitignore-0.02-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-03-06 21:56:41 EST
perl-Parse-Gitignore-0.02-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.